cURL
curl --request POST \ --url https://api.weryai.com/v1/generation/video-subtitle-erase \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "video_url": "https://example.com/video.mp4", "rect_vo_list": [ { "lt_x": 0.1, "lt_y": 0.85, "rb_x": 0.9, "rb_y": 0.95 } ] } '
{ "status": 0, "desc": "success", "message": "success", "data": { "batch_id": 123456789, "task_ids": [ "task_abc123" ] } }
Erase subtitles or text from a video, optionally specifying regions to clean
Authenticate using Bearer token. Get your API Key from the WeryAI Console.
Example: Authorization: Bearer sk-xxxxxxxxxxxxxxxx
Authorization: Bearer sk-xxxxxxxxxxxxxxxx
Source video URL
"https://example.com/video.mp4"
List of rectangular regions containing subtitles to erase. If omitted, auto-detection is used.
Show child attributes
Task submitted successfully
Business status code (0 indicates success)
0
Status description
"success"
Multi-language message